Bug 53961 - OLE attachment of .doc file doesn't appear in Writer
Summary: OLE attachment of .doc file doesn't appear in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2012-08-23 08:07 UTC by vgango
Modified: 2019-08-19 06:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document contains 4 tables, but in Writer appears only the last 2! (39.00 KB, application/msword)
2012-08-23 08:07 UTC, vgango
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vgango 2012-08-23 08:07:30 UTC
Created attachment 66011 [details]
Document contains 4 tables, but in Writer appears only the last 2!

I have received a file from my colleague, but some part of the document doesn't appear in Writer. That part is ole attachment, and the source is not reachable. The contents of the attachment is in the file (I can recognize it in the source), MS Word and Google Docs display the document correctly, OO or LO Writer don't. What is the problem? Do I need to do something with the program settings or is this a bug?

I have attached a test document: it contains 4 tables, but in Writer the first 2 tables are not visible!
Comment 1 Timon 2012-08-23 09:45:31 UTC
Confirmed

Russian UI/Locale on Russian Windows XP Professional SP3 (32bit)

MS Office 2007 SP3 - all ok (4 tables)
Microsoft WordPad - all ok (4 tables)

LibO 3.5.6.2 - problems, only 2 tables
LibO 3.6.0.4 - problems, only 2 tables
AOO 3.4.0 - problems, only 2 tables
Comment 2 Roman Eisele 2012-10-09 09:56:31 UTC
(Changed Version field according to comment #1 -- already in 3.5.6.2 -- and improved Summary a little bit.)
Comment 3 Roman Eisele 2012-10-12 13:29:40 UTC
REPRODUCIBLE also on Mac OS X (10.6.8, Intel) with
* LibreOffice 3.5.7.1
* LibreOffice 3.6.2.2
* Master/LOdev 3.7.0.0.alpha0+ (build ID: 1ae1bca;
  pull time: 2012-10-09 04:37:06)

All show only two tables, but, as even a simple application like Apple’s TextEdit shows, there are four tables, two of them as
LINK Word.Document.8 "\\\\venus\\orarend\\Tantárgyfelosztás alaptáblázat 12-13-I.doc" "OLE_LINK2" \a \r  \* MERGEFORMAT

→ Changing Platform to All/All.
Comment 4 Timon 2013-03-13 10:48:31 UTC
Problem still present in LibreOffice version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
Comment 5 QA Administrators 2015-02-19 15:39:02 UTC Comment hidden (obsolete)
Comment 6 vgango 2015-02-19 15:48:25 UTC
Version: 4.4.0.3
Build no.: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: hu_HU

Problem still exist, I can see only 2 tables in the attached document
Comment 7 Timon 2015-12-22 08:04:51 UTC
Problem still exist in LibreOffice Version : 5.1.0.1
Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 2; Ver: Windows 5.1; Render: default; 
Locale: ru-RU (ru_RU)
Comment 8 QA Administrators 2017-12-10 16:42:37 UTC Comment hidden (obsolete)
Comment 9 Timon 2018-08-08 06:50:27 UTC
Problem still present in LibreOffice version 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
Comment 10 QA Administrators 2019-08-19 06:56:50 UTC
Dear vgango,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug